﻿using DapperORM.Common.Models;
using PushInfo.Act.Models.QueryResults;
using PushInfo.Act.Models.Tables;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PushInfo.Act.IDAL
{
    interface ISysPushDAL
    {
        /// <summary>
        /// 根据id获取消息推送设置模板
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        ResultModel<Sys_Push> GetSysPush(string id);

        /// <summary>
        /// 根据分页号查询模板列表
        /// </summary>
        /// <param name="pageIndex"></param>
        /// <returns></returns>
        PageListModel<Sys_Push> GetSysPushListByPage(int pageIndex, string projectId);

        /// <summary>
        /// 保存消息推送设置模板
        /// </summary>
        /// <param name="pushConfig"></param>
        /// <returns></returns>
        ResultModel SaveSysPush(Sys_Push pushConfig);

        /// <summary>
        /// 删除消息推送设置模板
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        ResultModel DeleteSysPush(string id);

        /// <summary>
        /// 更新消息推送设置模板
        /// </summary>
        /// <param name="pushConfig"></param>
        /// <returns></returns>
        ResultModel UpdateSysPush(Sys_Push pushConfig);
        
    }
}
